Inbox
Update conversation
Update a conversation's read status, AI tag, or custom tags.
Set markRead: true to mark all unread lead replies as read.
Set aiTag to a string to apply a tag, or null to remove it.
curl -X PATCH "https://api.sendkit.ai/v1/inbox/example_string" \
-H "Content-Type: application/json" \
-H "X-Api-Key: YOUR_API_KEY" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"markRead": true
}'
import requests
import json
url = "https://api.sendkit.ai/v1/inbox/example_string"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"markRead": true
}
response = requests.patch(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.sendkit.ai/v1/inbox/example_string", {
method: "PATCH",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"markRead": true
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"markRead": true
}`)
req, err := http.NewRequest("PATCH", "https://api.sendkit.ai/v1/inbox/example_string", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-Api-Key", "YOUR_API_KEY")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.sendkit.ai/v1/inbox/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(uri)
request['Content-Type'] = 'application/json'
request['X-Api-Key'] = 'YOUR_API_KEY'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"markRead": true
}'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"id": "664a1b2c3d4e5f6a7b8c9d0e",
"aiTag": "interested",
"tags": [
"vip"
]
}
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
PATCH
/v1/inbox/{id}PATCH
API Key (header: X-Api-Key)
X-Api-Keystring
RequiredPlatform API key (sk_user_...) or Workspace API key (sk_...)
Platform API key (sk_user_...) or Workspace API key (sk_...)
path
idstring
RequiredResource ID
Content-Typestring
RequiredThe media type of the request body
Options: application/json
markReadboolean
Set to true to mark all unread lead replies as read
aiTagstring
AI tag to apply (or null to remove)
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-Api-Keystring
RequiredAPI Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)
header
Authorizationstring
RequiredBearer token. API key as Bearer token
Path Parameters
idstring
RequiredResource ID
Body
application/json
markReadboolean
Set to true to mark all unread lead replies as read
aiTagstring
AI tag to apply (or null to remove)
Responses
successboolean
dataobject
Was this page helpful?
Last updated today
Built with Documentation.AI